#include <iostream.h>
#include "scoreCard.h"

ScoreCard::ScoreCard():
	gamesWon(0),
	gamesPlayed(0),
	numGuessesLeft(6)
{
}

void ScoreCard::resetNumGuessesLeft()
{
	numGuessesLeft = 6;
}

void ScoreCard::resetScore()
{
	gamesWon = 0;
	gamesPlayed = 0;
}

int ScoreCard::getNumGuessesLeft() const
{
	return numGuessesLeft;
}

void ScoreCard::decrementNumGuessesLeft()
{
	--numGuessesLeft;
}

void ScoreCard::incrementNumGamesPlayed()
{
	++gamesPlayed;
}

void ScoreCard::incrementNumGamesWon()
{
	++gamesWon;
} 

int ScoreCard::getNumGamesWon() const
{
	return gamesWon;
}

int ScoreCard::getNumGamesPlayed() const
{
	return gamesPlayed;
}