#ifndef _SCORECARD
#define _SCORECARD

	class ScoreCard{

	private:

		int gamesWon; // number of games player has won so far.
		int gamesPlayed; // number of games player has played so far.
		int numGuessesLeft; // number of guesses player has left.

	public:
	
		ScoreCard(); // constructor - initialises all private variables.

		void resetNumGuessesLeft();
		//
		// post-condition: numGuessesLeft is reset to the initial value = 6.
		//

		void resetScore();
		//
		// post-condition: gamesWon & Games Played reset to zero.
		//

		int getNumGuessesLeft() const;
		//
		// post-condition: numGuessesLeft is returned.
		//
		void decrementNumGuessesLeft();
		//
		// post-condition: numGuessesLeft is decremented.
		//
		void incrementNumGamesPlayed();
		//
		// post-condition: gamesPlayed is incremented.
		//
		void incrementNumGamesWon();
		//
		// post-condition: gamesWon is incremented.
		//
		int getNumGamesWon() const;
		//
		// post-condition: gamesWon is returned.
		//
		int getNumGamesPlayed() const;
		//
		// post-condition: gamesPlayed is returned.
		//
	};

#endif
